# Security Center
### Overview
Security Center is developed by Kylin security team, and it provides 4 functions -- Virus Protection, Account Security, Network Protection, Application Execution Control.

The main interface as shown in Fig 1.

![Fig 1 Security Center-big](image/1.png)
<br>

### Account security
Security Center provide system account password security check policy configuration, account lock and login display configuration fuctions.Self-define selection can enable "password strenth setting" page.

Click "acconut security" button from main page, or "account security" from the left list,shown in Fig 2

![Fig 2 Account security -big](image/2.png)

### Password strength setting
Password strength are divided into four configuration mode types includes: hige-level, middle level, low-level, self-defined

- high-level : At least 8 bits, three types in uppercase, lowercase, numbers, special characters

- middle-level："At least 6 bits, two types in uppercase, lowercase, numbers, special characters"

- low-level："No password length or character type restrictions"

- self-defined：According needs to self-define relative password strength policy , shown in Fig 3. If the set policy is the same as the high, middle, low,it will automatically switch to the corresponding mode when the account security in turn on again.

![Fig 3 Password strength setting -big](image/3.png)

In the self-defined custom password strength setting interface, the following three dimensions are provided:

- Providing password character control, including password length, character types, and the mininum number of character. if the user configuration content conflicts, the corresponding prompt will be given.

- Provide password advanced Settings, including the password to prohibit the inclusion of user name, enable palindrome check, enable similarity check, enable password dictionary and password validity Settings.

- Provide password continuous character control, including the setting of the maximum number of continuous occurrence of the same character, the maximum number of continuous occurrence of the same type of character sequence and the maximum number of continuous occurrence of the same type of character.

When you hover over the prompt icon, a detailed description of the configuration item is displayed.

### Account lock and the other configuration

Click "Account lock and the other configuration" to enter the interface as shown in Fig 4.

![Fig 4 Account lock and the other configuration -big](image/4.png)

In the account lock Settings function, the user can configure whether the account lock function is enabled. With account locking enabled, users can set password error thresholds and lock duration.

Login information display Settings are only available on the console. You can set last login information display and historical login failure information display.

### Safty check
Ensure the system security of ordinary users and eliminate the hidden danger of basic security; Support the machine to the basic baseline items and system vulnerabilities of the security scan and a key reinforcement function.

Click the "Safety Physical Examination" button on the home page or the "Safety check" TAB in the list on the left to enter, as shown in Fig 5.

![Fig 5 Safty check -big](image/5.png)

### Smarting scanning
Click the "Start Scanning" button to start scanning for vulnerabilities and baselines of the system.

![Fig 6 Smarting scanning -big](image/6.png)

### Smart fixing
After the scan is completed, non-conformance items of the system will be displayed according to the risk level. Users can perform single or multiple one-button reinforcement according to their own needs. Click "Smart fixing" to begin the repair process.

![Fig 7 smart fixing -big](image/7.png)

### See the last time checking situation
After the repair is completed, the user clicks "See the last time checking situation" to view the details of the last repair.

![Fig 8 See the last time checking situation -big](image/8.png)
 
### Virus defense
Virus defense concentrates on the antivirus programs installed on your current system. Under the detection of each antivirus program, the system's antivirus backlog, virus protection status and software update status are shown in a rolling display. At the same time, four functions including application opening, virus library updating, immediate scanning and update authorization are provided for each antivirus program separately.

Click the "Virus defense" button on the home page or the "Virus defense" TAB in the list on the left to enter, as shown in Fig 9.
![Fig 9 Virus defense -big](image/9.png)

The Virus Protection focus shows the antivirus programs installed on the current system; Scroll to show the antivirus backlog, virus protection status and software update status of the system under the detection of each antivirus program.

At the same time, it provides four functions of opening application, updating virus library, scanning immediately and updating authorization separately for each anti-virus program:

- Virus Library Update: This feature is opened when a new virus library is detected. Users can upgrade the virus library, more comprehensive protection of the current system security.

- Scan now: Provides quick virus scanning function.

- Update authorization: Users can update the authorization status of the software through this feature when the authorization of the antivirus software is about to expire or has expired. For users who have not purchased authorization documents, you can dial 4009303120 for consultation.

### Network protection
The security center provides default network protection strategy and application network control function to maintain the security of the system network environment.

Click the "Network Protection" button on the home page or the "Network Protection" TAB in the list on the left to enter, as shown in Figure 10.
![Fig 10 Network protection -big](image/10.png)

### Firewall
System firewall protection outside application connection system, provides KSC Defender firewall and UFW firewall.

Firewall customization is shown in Figure 11.

![Fig 11 Network protection -big](image/11.png)

- The "Services" list shows the firewall services for the current system configuration.

- The list on the right shows the protocols and ports that the configuration controls under the current service. When checked, the service configuration is enabled. Users can modify the service list, port and protocol by adding, deleting and editing function buttons.

### Application netwoking
Application Networking Controls whether applications and services can be actively networked. There are three states for users to choose from:

- Prohibition: prohibit unauthorized applications and services from networking.

- Warning: If the application has been added to the control list, it will be controlled according to the network access policy configured by the application; If the application is not added to the control list, an authentication dialog box is displayed, allowing the user to select whether the application can be networked.

- Off: Turn off the application networking control function, so that all applications and services can actively connect to the Internet.

In the above three states, the forbidden state and the warning state can trigger the "Application Network Configuration" button. Click this button to enter the custom interface of application network control.

Users can select the networking policy of the application through the drop-down box after selecting the application in the list of applications in the application networking control interface.

![Fig 12 Application network control -big](image/12.png)

### Application-control protection
Provides protection operations for installing, running, and uninstalling applications.

Click the "Apply Control and Protection" button on the home page or the "Apply Control and Protection" TAB in the left list to enter, as shown in Fig13.

![Fig 13 Application-control protection -big](image/13.png)

### Check application source
Checking application sources to prevent the installation of applications from illegal sources。There are two states of application source checking：

- Warning：It is up to the user to choose whether to install an unsigned application。

- Close：All applications can be installed without checking。

### Check application intergrity
Kylin's internal security mechanism checks the integrity of the application and helps protect the integrity of the environment in which the system operates. There are three states of application integrity checking:

- Block: Applications that are not authenticated or whose integrity has been compromised will not be executed.

- Warning: It is up to the user to choose whether to execute an unauthenticated or integrity-compromised application.

- Close: All applications can be executed without checking.

The block state and warning state can trigger the "add, update, delete" button. Click this button to enter the interface of application base value management. Applications and dynamic libraries whose integrity is compromised or not authenticated are not allowed to run or load directly.

![Fig 14 Application integrity-big](image/14.png)

### Application program protection
Provide process anti-kill, kernel module anti-uninstall protection measures.

![Fig 15 Application protection-big](image/15.png)

![Fig 16 kernal anti-install -big](image/16.png)
