# 安全中心
## 概 述
安全中心是由麒麟安全团队开发的一款系统安全管理程序，包含账户安全、安全体检、病毒防护、网络保护、应用控制与保护、系统安全配置六个模块，了解电脑当前的安全情况，并采取一些有效的防控措施，方便用户进行一些安全配置操作。主界面如图1所示。

![图 1 安全中心-big](image/1.png)
<br>

## 账户安全
安全中心提供系统账户密码安全检查策略配置，账户锁定及登录信息显示配置功能。其中自定义选择可以激活“密码强度设置”页面。

点击首页的“账户安全”按钮，或左侧列表中“账户安全”标签页进入，如图2所示。

![图 2 账户安全-big](image/2.png)

### 密码强度配置
密码强度分为高级、中级、低级、自定义四种配置模式：

- 高级：至少 8 位，包含大写字母、小写字母、数字、特殊字符中的 3 种。

- 中级：至少 6 位，包含大写字母、小写字母、数字、特殊字符中的 2 种。

- 低级：无密码长度和字符类别限制。

- 自定义：根据需求自定义相应的密码强度策略，如图3所示。若设置的策略与高级、中级或低级相同时，再次打开账户安全时，将自动切换到对应模式。

![图 3 自定义密码强度](image/3.png)

自定义密码强度设置界面中，提供以下三个维度的设置：

1）提供密码字符控制，包括密码长度、字符种类和字符最小数量的设置，若用户配置内容出现冲突时，会给出相应提示。

2）提供密码高级设置，包括密码中禁止包含用户名、启用回文检查、启用相似性检查、启用密码字典和密码有效期的设置。

3）提供密码连续字符控制，包括同一字符连续出现最大次数、同类型字符序列连续最大次数和同类型字符连续出现最大次数的设置。

当鼠标悬停在提示图标上时，会显示该配置项的详细说明。

### 账户锁定与登录信息显示
点击“账户锁定、登录信息显示配置”，进入的界面如图4所示。

![图 4 账户锁定、登录信息显示配置](image/4.png)

账户锁定设置功能中，用户可以配置是否启用账户锁定功能。启用账户锁定功能后，用户可以设置密码错误阈值与锁定时长。

登录信息显示设置仅对控制台有效，可以设置上次登录信息显示和历史登录失败信息显示。

<br>

## 安全体检
保障普通用户的系统安全，消除基础安全隐患；支持本机对基础基线项和系统漏洞的安全扫描及一键加固功能。

点击首页“安全体检”按钮，或左侧列表中“安全体检”标签页进入，如图 5所示。

![图 5 安全体检-big](image/5.png)

### 智能扫描
点击“开始扫描”按钮，开始针对系统的漏洞和基线进行扫描。

![图 6 智能扫描-big](image/6.png)

### 智能修复
扫描完成后，根据风险等级展示系统不符合项，用户可以根据自己需求进行单个或多个一键加固。点击“一键修复”，开始执行修复过程。

![图 7 智能修复-big](image/7.png)

### 查看上次安全体检修复情况
修复完成后，用户点击“查看上次安全体检修复情况”，查看上次修复详情。

![图 8 查看上次安全体检修复情况-big](image/8.png)
<br>

## 病毒防护
病毒防护集中展示了当前系统安装的防病毒程序。滚动展示各防病毒程序检测下，系统的防病毒待办事项、病毒防护状态及软件更新状态，同时为每个防病毒程序单独提供打开应用、病毒库更新、立即扫描、更新授权四项功能。

点击首页的“病毒防护”按钮，或左侧列表中“病毒防护”标签页进入，如图9所示。

![图 9 病毒防护-big](image/9.png)

病毒防护集中展示了当前系统安装的防病毒程序；滚动展示各防病毒程序检测下，系统的防病毒待办事项、病毒防护状态及软件更新状态。

同时为每个防病毒程序单独提供打开应用、病毒库更新、立即扫描、更新授权四项功能：

- 病毒库更新：检测到有新的病毒库时，该功能开放。用户可以升级病毒库，更全面的保护当前系统的安全。

- 立即扫描：提供病毒快速扫描功能。

- 更新授权：当防病毒软件授权即将到期或已到期，用户可以通过该功能更新软件的授权状态。对没有购买授权文件的用户，可以拨打4009303120进行咨询。

<br>

## 网络保护
安全中心提供默认的网络防护策略和应用联网管控功能，来维护系统网络环境安全。

点击首页“网络保护”按钮，或左侧列表中“网络保护”标签页进入，如图10所示。

![图 10 网络保护-big](image/10.png)

### 防火墙
系统防火墙防护外界应用连接系统，提供KSC Defender防火墙和UFW防火墙。

防火墙自定义设置如图11所示。

![图 11 自定义配置-big](image/11.png)

- “服务”列表显示当前系统配置的防火墙服务。

- 右侧列表显示当前服务下配置管控的协议和端口。勾选后，表示该服务配置启用。用户可通过添加、删除、编辑功能按钮对服务列表、端口、协议进行修改。

### 应用程序联网
应用程序联网控制应用程序和服务是否可以主动联网，有三种状态供操作用户选择：

- 禁止：禁止未授权应用和服务联网。

- 警告：若应用程序已添加至管控列表，将根据应用所配置的网络访问策略进行管控；若应用程序未添加至管控列表，将显示认证对话框，由用户选择程序是否可以联网。

- 关闭：关闭应用程序联网控制功能，所有应用和服务均能主动联网。

上述三种状态中，禁止状态和警告状态可触发“应用程序联网配置”按钮，点击此按钮，可进入应用程序联网控制自定义界面。

用户可以在应用程序联网控制界面选中列表中的应用后，通过下拉框选择应用的联网策略。

![图 12 应用程序联网配置](image/12.png)
<br>

## 应用控制与保护
提供提供应用程序的安装、运行、卸载保护操作。

点击首页“应用控制与保护”按钮，或左侧列表中“应用控制与保护”标签页进入，如图13所示。

![图 13 应用控制与保护-big](image/13.png)

### 检查应用程序来源
麒麟内安全机制检查应用程序的来源，从来源保护系统运行环境的安全性。应用程序来源检查有两种状态：

- 警告：由用户来选择是否安装来源不可靠的应用程序。

- 关闭：不进行检查，所有来源应用程序均可安装。

### 检查应用程序完整性
麒麟内安全机制检查应用程序的完整性，帮助保护系统运行环境的完整性。应用程序完整性检查有三种状态：

- 阻止：未认证或完整性被破坏的应用程序将不能被执行。

- 警告：由用户来选择是否执行未认证或完整性被破坏的应用程序。

- 关闭：不进行检查，所有应用程序均可执行。

其中阻止状态和警告状态可触发“添加、更新、删除”按钮，点击此按钮，进入应用程序基准值管理界面。完整性被破坏或未被认证的应用程序和动态库不允许直接运行、加载管理。

![图 14 应用程序完整性-big](image/14.png)

### 应用程序防护
提供进程防杀死、内核模块防卸载的防护措施。

![图 15 应用程序防护-big](image/15.png)

![图 16 内核模块防卸载-big](image/16.png)
